package tetrisGame.views

import android.annotation.SuppressLint
import android.content.Context
import android.graphics.Canvas
import android.graphics.Color
import android.graphics.Paint
import android.graphics.Rect
import android.util.AttributeSet
import android.view.View

class ViewsGame(context:Context, attrs: AttributeSet?) : View(context, attrs) {

    val myPaint:Paint = Paint()

    override fun onDraw(canvas: Canvas) {
        super.onDraw(canvas)

        val tailleGrille:Float = 10F
        val tailleTableauHauteur:Float = measuredHeight.toFloat()
        val tailleTableauLargeur:Float = measuredWidth.toFloat()
        val nbCaseLargeur:Int = 7
        val nbCaseHauteur:Int = 15

        // Tableau
        myPaint.color = Color.GRAY
        canvas.drawRect(0F,0F,tailleTableauLargeur,tailleTableauHauteur,myPaint)
        // Color
        myPaint.color = Color.BLACK

        //Contour
        myPaint.strokeWidth = 15F
        canvas.drawLine(0F,0F,0F,tailleTableauHauteur,myPaint)
        canvas.drawLine(0F,0F,tailleTableauLargeur,0F,myPaint)
        canvas.drawLine(tailleTableauLargeur,0F,tailleTableauLargeur,tailleTableauHauteur,myPaint)
        canvas.drawLine(0F,tailleTableauHauteur,tailleTableauLargeur,tailleTableauHauteur,myPaint)

        /*
        //    tableau Case
        myPaint.color = Color.GRAY
        var tailleCase:Float = tailleTableauLargeur/nbCaseLargeur
        //canvas.drawRect(tailleGrille+tailleCase,0F,tailleGrille,tailleTableauHauteur,myPaint);
        for (i in 1..nbCaseLargeur){
            canvas.drawLine(tailleCase*i,0F,tailleCase*i,tailleTableauHauteur,myPaint)
        }

        tailleCase = tailleTableauHauteur/nbCaseHauteur
        for (i in 1..nbCaseHauteur){
            canvas.drawLine(0F,tailleCase*i,tailleTableauLargeur,tailleCase*i,myPaint)
        }*/

        // Test piece
        // Carré
        myPaint.color = Color.YELLOW
        canvas.drawRect(tailleGrille,tailleGrille,(tailleTableauLargeur/nbCaseLargeur)*2,(tailleTableauHauteur/nbCaseHauteur)*2,myPaint)

        myPaint.color = Color.BLUE
        canvas.drawRect((tailleTableauLargeur/nbCaseLargeur)*2+tailleGrille,tailleGrille,(tailleTableauLargeur/nbCaseLargeur)*(nbCaseLargeur-4),(tailleTableauHauteur/nbCaseHauteur)*6,myPaint)
    }
}